Page MenuHomePhabricator

Add language code "shy" to the list for labels and descriptions
Closed, ResolvedPublic

Description

Following T184783
Add Shawiya in the list of supported languages for labels and descriptions in Wikidata (and probably Babelbox as well)

Language name in the language itself AND English: Tacawit / Shawiya
Language code: shy
The used script, if not obvious: Berber Latin alphabet https://www.wikidata.org/wiki/Q2532709
Where and when the language was or is used: Algeria
The Wikidata item id: https://www.wikidata.org/wiki/Q33274

[1] http://www-01.sil.org/iso639-3/documentation.asp?id=shy

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2018, 3:06 PM
Mbch331 claimed this task.Jun 5 2018, 4:08 PM
Mbch331 removed Mbch331 as the assignee of this task.Jun 5 2018, 4:20 PM
Mbch331 added a subscriber: Mbch331.
This comment was removed by Mbch331.
Raymond added a subscriber: Raymond.Jun 5 2018, 4:56 PM

Nothing to do AFAIS. It works for wikidata already, see https://test.wikidata.org/wiki/Q149653 last monoligual statement.

For labels, descriptions and aliases a language needs to be added to ULS and needs Langcom approval. I believe it needs to be requested on meta. But @GerardM @jhsoby can tell more about these rules.

Nothing to do AFAIS. It works for wikidata already, see https://test.wikidata.org/wiki/Q149653 last monoligual statement.

The request isn't related to monolingual text. Labels, Descriptions and Aliases aren't using the languages for monolingual texts.

The request isn't related to monolingual text. Labels, Descriptions and Aliases aren't using the languages for monolingual texts.

Right. My above answer was a bit short. shy was added to Names.php per T194047. And therefore shy can be used for Labels, Descriptions and Aliases already: https://test.wikidata.org/w/index.php?title=Q149653&type=revision&diff=391466&oldid=384181

The request isn't related to monolingual text. Labels, Descriptions and Aliases aren't using the languages for monolingual texts.

Right. My above answer was a bit short. shy was added to Names.php per T194047. And therefore shy can be used for Labels, Descriptions and Aliases already: https://test.wikidata.org/w/index.php?title=Q149653&type=revision&diff=391466&oldid=384181

Just tested it on production and it gives an API error:

{"error":{"code":"not-recognized-language","info":"The supplied language code was not recognized.","messages":[{"name":"wikibase-api-not-recognized-language","parameters":[],"html":{"*":"The supplied language code was not recognized."}}],"*":"See https://www.wikidata.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at <https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce> for notice of API deprecations and breaking changes."},"servedby":"mw1316"}

This is odd, since the language was added in 1.32.0-wmf.5 and Wikidata is running on 1.32.0-wmf.6

I found where I went wrong (and probably @Vikoula5 as well): shy isn't accepted, but shy-latn is.

Great11 added a subscriber: Great11.Jun 5 2018, 6:38 PM

@Mbch331 for the moment we use only shy-lat, you are right. can you do it for shy-lat ?

@Mbch331 for the moment we use only shy-lat, you are right. can you do it for shy-lat ?

The official language code for shy in latin script is shy-latn, so you need to use that one.

Vikoula5 added a comment.EditedJun 6 2018, 5:08 PM

@Mbch331
Yes, but the shy-Latn doesn't exist in wikidata too. How can a used it ?

@Mbch331
Yes, but the shy-Latn doesn't exist in wikidata too. How can a used it ?

It exists: https://www.wikidata.org/w/index.php?title=Q4115189&diff=690888218&oldid=690786189, so where are you missing it?

Ok, I find it, but there is a problem here withe the ''Lua error in Module:Languages at line 8: Error2''..
Maybe there are no language name ''Tacawit alatin''

I correct the Module by my self. thank you for all.

Mbch331 closed this task as Resolved.Jun 6 2018, 7:28 PM
Mbch331 claimed this task.
Vvjjkkii renamed this task from Add language code "shy" to the list for labels and descriptions to qlbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Mbch331 as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from qlbaaaaaaa to Add language code "shy" to the list for labels and descriptions.Jul 1 2018, 8:46 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Mbch331.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.